Bug 121228 - kernel configuration via "make menuconfig" fails without ncurses-devel
kernel configuration via "make menuconfig" fails without ncurses-devel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 10:28 EDT by John Bollinger
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 20:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bollinger 2004-04-19 10:28:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624

Description of problem:
Kernel configuration via the "menuconfig" interface requires
ncurses.h, apparently distributed in ncurses-devel.  If ncurses is not
available in the include path then a slew of compilation errors is
emitted and the process terminates before the configuration screen is
ever displayed.  The kernel-source RPM apparently does not assert a
dependency on ncurses-devel, but it should do in order to prevent this
problem.

The easy workaround is to simply ensure that the ncurses-devel package
is installed, but _finding_ that workaround might not be
straightforward for many affected users.

Version-Release number of selected component (if applicable):
kernel-source-2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1. Install the kernel-source RPM
2. Remove the ncurses-devel RPM if installed (this should fail, but
doesn't)
3. Change to the kernel source directory under /usr/src and execute
"make menuconfig"

Actual Results:  A slew of compilation errors were emitted; near the
top was a message indicating that include file ncurses.h was not found.

Expected Results:  The menu-based kernel configuration starts and runs.

Additional info:
Comment 1 Arjan van de Ven 2004-04-19 11:07:06 EDT
ok added to the REquires: of kernel-source so that you'll get
ncurses-devel automatically (or at least via rpm dependencies)
thanks for reporting this
Comment 2 Alan Cox 2004-05-02 20:44:55 EDT
This does not appear to have been added yet ?
Comment 3 Arjan van de Ven 2004-05-03 06:08:22 EDT
it is in the trunk at least.

Note You need to log in before you can comment on or make changes to this bug.